Create ruleboard
curl --request POST \
--url https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"assigned_repos": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards"
payload = {
"name": "<string>",
"assigned_repos": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', assigned_repos: ['<string>']})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"slug": "<string>",
"default": true,
"assigned_repos": [
"<string>"
]
}Ruleboards
Create ruleboard
Create a new ruleboard for the deployment.
POST
/
api
/
agent
/
deployments
/
{deploymentId}
/
ruleboards
Create ruleboard
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier of your deployment. Can be found via the Deployments Service or in your Settings in the web UI.
Example:
1234
Was this page helpful?
⌘I